package com.bocloud.cmp.model.installation;

import java.util.List;

/**
 * 网卡配置
 *
 * @author 007
 */
public class NetworkConfig {
    /**
     * ipv4时，为192.168.11.89; ipv6时，为fec0::6ab4:0:5efe:159.45.14.11
     */
    private String ipAddr;
    /**
     * ipv4时，为192.168.11.1; ipv6时，为fe80::5efe:131.107.25.100
     */
    private String gateway;
    /**
     * ipv4时，为255.255.255.0; ipv6时，为ffff.ffff.ffff.ffff.0.0.0.0
     */
    private String netmask;
    /**
     * 网卡的vlan id
     */
    private List<Integer> vlanIds;

    /**
     * @return the ipAddr
     */
    public String getIpAddr() {
        return ipAddr;
    }

    /**
     * @param ipAddr the ipAddr to set
     */
    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    /**
     * @return the gateway
     */
    public String getGateway() {
        return gateway;
    }

    /**
     * @param gateway the gateway to set
     */
    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    /**
     * @return the netmask
     */
    public String getNetmask() {
        return netmask;
    }

    /**
     * @param netmask the netmask to set
     */
    public void setNetmask(String netmask) {
        this.netmask = netmask;
    }

    /**
     * @return the vlanIds
     */
    public List<Integer> getVlanIds() {
        return vlanIds;
    }

    /**
     * @param vlanIds the vlanIds to set
     */
    public void setVlanIds(List<Integer> vlanIds) {
        this.vlanIds = vlanIds;
    }
}
